<?php 

$facebook = get_theme_mod('facebook');
$twitter = get_theme_mod('twitter');
$linkedin = get_theme_mod('linkedin');
$instagram = get_theme_mod('instagram');
$google = get_theme_mod('google');
$youtube = get_theme_mod('youtube');
$pinterest = get_theme_mod('pinterest');
$dribble = get_theme_mod('dribble');
$github = get_theme_mod('github');
$hideArrow = get_post_meta($wp_query->get_queried_object_id(), "_royarch_arrow_hide", true);
$hideFooter = get_post_meta($wp_query->get_queried_object_id(), "_royarch_footer_hide", true);


if ( !$hideFooter ) :

    if ( is_active_sidebar('sidebar-footer-1') || is_active_sidebar('sidebar-footer-2') || is_active_sidebar('sidebar-footer-3') || is_active_sidebar('sidebar-footer-4') ) : ?>
        <!-- footer 
            ================================================== -->
        <footer class="template-footer">
            <?php if ( !$hideArrow ) : ?>
            <a class="go-top" href="#">
                <i class="far fa-arrow-alt-circle-up"></i>
            </a>
            <?php endif; ?>

            <?php if ( true == get_theme_mod( 'switch_instagram' ) ) : ?>
            <div class="instagram-line">
                <div class="container">
                    <?php echo do_shortcode('[instagram-feed imageres=full]'); ?>
                </div>
            </div>
            <?php endif; ?>

            <div class="widget-part-area">
                <div class="footer-widget-line">
                    <div class="image-widget">
                    <?php if ( is_active_sidebar('sidebar-footer-1') ) {
                            dynamic_sidebar('sidebar-footer-1');
                    }; ?>
                    </div>
                </div>
                <div class="footer-widget-line">
                    <?php if ( is_active_sidebar('sidebar-footer-2') ) {
                            dynamic_sidebar('sidebar-footer-2');
                    }; ?>
                </div>
                <div class="footer-widget-line">
                    <?php if ( is_active_sidebar('sidebar-footer-3') ) {
                            dynamic_sidebar('sidebar-footer-3');
                    }; ?>
                </div>
                <div class="footer-widget-line">
                    <?php if ( is_active_sidebar('sidebar-footer-4') ) {
                            dynamic_sidebar('sidebar-footer-4');
                    }; ?>
                </div>
            </div>

        </footer>
        <!-- End footer -->

    <?php endif;
endif;